### Function

# Gimp update_metadata

since: 3.1

#### Declaration [src]

    gboolean
    gimp_update_metadata (
      void
    )

#### Description [src]

Returns whether file plug-ins should update the image’s metadata.

Note that metadata that reflects the image characteristics will still be updated even if this is set to FALSE. This only concerns metadata changes that are nonessential, like setting GIMP in Exif.Image.Software, synchronizing the comment with its equivalent metadata tags, etc.

Available since: 3.1

#### Return value

Type: `gboolean`

TRUE if preferences are set to update the metadata.